#ifndef RSPP3
#define RSPP3
#include "WRSL.H";
#include "WTNL.H"
pcomplex WTR3P_C(
         pcomplex Dannye, //  
         integer p1,      //    
         integer p2,      //    
         integer flagOk   //  >0-, 
         )
{
 scomplex *Filtr1,*Filtr2;
 pcomplex Res;
 Res=SET_PMAS(Dannye.n,Dannye.m);
 Filtr1=Filtrs_RealSh(Dannye.m,p1);
 Filtr2=Filtrs_RealSh(Dannye.n,p2);

 if (flagOk>0) Res= FWT(Dannye,Filtr1,p1,Filtr2,p2);
 else          Res=IFWT(Dannye,Filtr1,p1,Filtr2,p2);
 free(Filtr1);
 free(Filtr2);
 return Res;
};
#endif
